Subject: rmail-output-read-file-name Error in Summary (with Patch)

From: [email-masked] (T.F. Torrey)
Date: Wed, 15 Aug 2012 16:20:03 -0600

Hello developers,

I'm happy to report a bug and a fix.

Description: When in an Rmail summary buffer,
rmail-output-read-file-name looks for matches in the summary buffer
rather than in the rmail buffer, and thus fails to find the proper
match. The patch below corrects this behavior.

ChangeLog entry: make rmail-output-read-file-name use rmail-buffer when
in summary

I was unable to download the most recent Emacs from bazaar, but I was
able to get the source from the Ubuntu archive, and I think it is
current in this regard. Because of this, I also had to make a slightly
different diff, but I think it will work. It's only a two-line change
anyway.

Diff:

diff -c -L rmailout.el -L \#\<buffer\ rmailout.el\> rmailout.el /tmp/buffer-content-19356i1B
*** rmailout.el
--- #<buffer rmailout.el>
***************
*** 59,64 ****
--- 59,65 ----
  (defun rmail-output-read-file-name ()
    "Read the file name to use for `rmail-output'.
  Set `rmail-default-file' to this name as well as returning it."
+   (with-current-buffer rmail-buffer
    (let ((default-file
  	  (let (answer tail)
  	    (setq tail rmail-output-file-alist)
***************
*** 87,92 ****
--- 88,94 ----
  	      (expand-file-name
  	       (or read-file (file-name-nondirectory default-file))
  	       (file-name-directory default-file)))))))
+ )
  
  (defun rmail-delete-unwanted-fields (preserve)
    "Delete all headers matching `rmail-fields-not-to-output'.

Diff finished.  Wed Aug 15 15:35:47 2012

All the best,
Terry
-- 
T.F. Torrey